Bug 979566 - Review Request: mingw-postgresql - MinGW Windows PostgreSQL library
Review Request: mingw-postgresql - MinGW Windows PostgreSQL library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:09 EDT by Michael Cronenworth
Modified: 2013-07-30 13:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-postgresql-9.2.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 13:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2013-06-28 16:09:52 EDT
Spec URL: http://michael.cronenworth.com/RPMS/mingw-postgresql.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-postgresql-9.2.4-1.fc18.src.rpm
Description: MinGW Windows PostgreSQL library
Fedora Account System Username: mooninite
Comment 1 Sandro Mani 2013-07-14 05:02:40 EDT
Issues:
- Use macros instead of hardcoded path names, i.e.
rm $RPM_BUILD_ROOT/usr/i686-w64-mingw32/sys-root/mingw/bin/*.exe
-> rm $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe

- I would use %{_builddir}/%{buildsubdir} instead of the relative paths when creating the symlinks:
ln -s %{_builddir}/%{buildsubdir}/src/interfaces/libpq/libpqdll.def ./build_win32/src/interfaces/libpq/
etc
(Maybe add a comment on why the links are necessary? Package seems to build also without the links, though I have not verified its functionality)

- Nitpicking: fedora-review says:
  Note: These BR are not needed: gawk
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Rest looks good.
Comment 2 Michael Cronenworth 2013-07-14 12:37:22 EDT
(In reply to Sandro Mani from comment #1)
> (Maybe add a comment on why the links are necessary? Package seems to build
> also without the links, though I have not verified its functionality)

Required to build on F18 at least or you get a build failure:
/usr/bin/i686-w64-mingw32-dlltool: Can't open def file: libpqdll.def
/usr/bin/i686-w64-mingw32-dllwrap: /usr/bin/i686-w64-mingw32-dlltool exited with status 1

>   Note: These BR are not needed: gawk

Copied from postgresql.spec. If you want to file a bug with them be my guest.

New spec: http://michael.cronenworth.com/RPMS/mingw-postgresql.spec
New SRPM: http://michael.cronenworth.com/RPMS/mingw-postgresql-9.2.4-2.fc18.src.rpm
Comment 3 Sandro Mani 2013-07-14 12:52:03 EDT
All ok!
Comment 4 Michael Cronenworth 2013-07-14 13:02:52 EDT
Thank you.

New Package SCM Request
=======================
Package Name: mingw-postgresql
Short Description: MinGW Windows PostgreSQL library
Owners: mooninite
Branches: f18 f19
InitialCC:
Comment 5 Kalev Lember 2013-07-14 13:05:13 EDT
I pointed out on IRC yesterday that the package needs to ship import libraries in the main package to able to link against the DLLs. At least libpq.a is an import library and must go into the main package (and should be renamed to libpq.dll.a); I didn't check what the other .a files are.
Comment 6 Michael Cronenworth 2013-07-14 13:22:44 EDT
I didn't see your comment that they were import libs. I should have verified that they were.

New spec: http://michael.cronenworth.com/RPMS/mingw-postgresql.spec
New SRPM: http://michael.cronenworth.com/RPMS/mingw-postgresql-9.2.4-3.fc18.src.rpm

P.S. You can link against a .dll, but, yes, a .dll.a is more appropriate.
Comment 7 Gwyn Ciesla 2013-07-15 08:42:42 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-07-15 20:59:02 EDT
mingw-postgresql-9.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-postgresql-9.2.4-1.fc19
Comment 9 Fedora Update System 2013-07-15 21:00:07 EDT
mingw-postgresql-9.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-postgresql-9.2.4-1.fc18
Comment 10 Fedora Update System 2013-07-16 23:05:46 EDT
Package mingw-postgresql-9.2.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-postgresql-9.2.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13078/mingw-postgresql-9.2.4-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-07-30 13:45:03 EDT
mingw-postgresql-9.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-07-30 13:45:18 EDT
mingw-postgresql-9.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.